#1664 closed defect (fixed)

termios01/init.c: overflow in implicit constant conversion

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: bharath.s.jois@… Blocked By:
Blocking:

Description

I am facing the flowing warning when building CVS-HEAD for the avr:

testsuites/libtests/termios01/init.c:476: warning: overflow in implicit constant conversion

The offending line reads:
...

rc = tcsetattr( 0, 0x12345, &t );

...

The warning above seemingly complains about the 0x12345 constant, which too large to fit into an "int" (16 bit on the avr).

I'd suggest to shorten the constant or to use a different constant
(Say (TCSAFLUSH | TCSADRAIN | TCSANOW)+ or similar, or may-be INT_MAX)

Change History (5)

comment:1 Changed on Aug 10, 2010 at 1:57:21 AM by Ralf Corsepius

Version: unknownHEAD

comment:2 Changed on Aug 10, 2010 at 1:45:25 PM by Joel Sherrill

Resolution: fixed
Status: newclosed, bharath.s.jois@gmail.com

comment:3 Changed on Aug 10, 2010 at 4:27:56 PM by Bharath Suri

Thanks. I updated my tree.

comment:4 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:5 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.